#!/bin/bash

#
# Determine the directory of the current script and execute the
# set env script from there
#
BINDIR=$(cd $(dirname "$0"); pwd)
. ${BINDIR}/set-env.sh
if [ -z "$COH_HOME" ]; then
    echo Cannot run $0, environment not correctly set
    echo Please examine bin/set-env.sh and set OBE_HOME and COH_HOME
    kill -2 $$
fi

CLASSPATH=${COH_HOME}/lib/coherence.jar:./classes:./config:.

JVM_OPT="-server -Xms256m -Xmx256m"
java -cp $CLASSPATH $JVM_OPT $SYS_OPT $1

